import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { DeleteHumanLoopCommandInput, DeleteHumanLoopCommandOutput } from "../commands/DeleteHumanLoopCommand";
import { DescribeHumanLoopCommandInput, DescribeHumanLoopCommandOutput } from "../commands/DescribeHumanLoopCommand";
import { ListHumanLoopsCommandInput, ListHumanLoopsCommandOutput } from "../commands/ListHumanLoopsCommand";
import { StartHumanLoopCommandInput, StartHumanLoopCommandOutput } from "../commands/StartHumanLoopCommand";
import { StopHumanLoopCommandInput, StopHumanLoopCommandOutput } from "../commands/StopHumanLoopCommand";
/**
 * serializeAws_restJson1DeleteHumanLoopCommand
 */
export declare const se_DeleteHumanLoopCommand: (input: DeleteHumanLoopCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeHumanLoopCommand
 */
export declare const se_DescribeHumanLoopCommand: (input: DescribeHumanLoopCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListHumanLoopsCommand
 */
export declare const se_ListHumanLoopsCommand: (input: ListHumanLoopsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StartHumanLoopCommand
 */
export declare const se_StartHumanLoopCommand: (input: StartHumanLoopCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1StopHumanLoopCommand
 */
export declare const se_StopHumanLoopCommand: (input: StopHumanLoopCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1DeleteHumanLoopCommand
 */
export declare const de_DeleteHumanLoopCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteHumanLoopCommandOutput>;
/**
 * deserializeAws_restJson1DescribeHumanLoopCommand
 */
export declare const de_DescribeHumanLoopCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeHumanLoopCommandOutput>;
/**
 * deserializeAws_restJson1ListHumanLoopsCommand
 */
export declare const de_ListHumanLoopsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListHumanLoopsCommandOutput>;
/**
 * deserializeAws_restJson1StartHumanLoopCommand
 */
export declare const de_StartHumanLoopCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartHumanLoopCommandOutput>;
/**
 * deserializeAws_restJson1StopHumanLoopCommand
 */
export declare const de_StopHumanLoopCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopHumanLoopCommandOutput>;
