import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  StartHumanLoopRequest,
  StartHumanLoopResponse,
} from "../models/models_0";
import {
  SageMakerA2IRuntimeClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerA2IRuntimeClient";
export { __MetadataBearer };
export { $Command };
export interface StartHumanLoopCommandInput extends StartHumanLoopRequest {}
export interface StartHumanLoopCommandOutput
  extends StartHumanLoopResponse,
    __MetadataBearer {}
declare const StartHumanLoopCommand_base: {
  new (
    input: StartHumanLoopCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartHumanLoopCommandInput,
    StartHumanLoopCommandOutput,
    SageMakerA2IRuntimeClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartHumanLoopCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartHumanLoopCommandInput,
    StartHumanLoopCommandOutput,
    SageMakerA2IRuntimeClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartHumanLoopCommand extends StartHumanLoopCommand_base {
  protected static __types: {
    api: {
      input: StartHumanLoopRequest;
      output: StartHumanLoopResponse;
    };
    sdk: {
      input: StartHumanLoopCommandInput;
      output: StartHumanLoopCommandOutput;
    };
  };
}
